########################################################################
# web2ldap under the control of Apache with mod_fastcgi
# 
# application is access through following URL:
#   http://<servername>/web2ldap
# 
# See mod_fastcgi docs on:
# http://www.fastcgi.com/mod_fastcgi/docs/mod_fastcgi.html
########################################################################

# Load and install module mod_fastcgi
#LoadModule fastcgi_module /usr/lib/apache/mod_fastcgi.so
#AddModule mod_fastcgi.c

ScriptAlias /web2ldap /opt/web2ldap/fcgi/web2ldap.py
Alias /web2ldap-doc /opt/web2ldap/htdocs
Alias /css/web2ldap /opt/web2ldap/htdocs/css/web2ldap

# Force use of a pseudo-random salt to make hash() values in Python
SetEnv PYTHONHASHSEED random

# Using TCP connection
#FastCgiServer /opt/web2ldap/fcgi/web2ldap.py -port 11760 -idle-timeout 600 -appConnTimeout 0

# Using Unix domain socket
FastCgiServer /opt/web2ldap/fcgi/web2ldap.py -socket /var/lib/apache2/web2ldap-fcgi-socket -processes 1 -idle-timeout 600 -appConnTimeout 0

<Location /web2ldap>
  # Tell mod_ssl to set the SSL standard env vars
  <IfDefine SSL>
    SSLOptions +StdEnvVars
  </IfDefine>
  <Limit GET POST>
     Order allow,deny
     Allow from 127.0.0.1
  </Limit>
</Location>

<Directory /opt/web2ldap/htdocs>
  DirectoryIndex web2ldap.html
  <Limit>
     Order allow,deny
     Allow from All
  </Limit>
</Directory>
